import { getElementId, randomCode } from "../../plugins/utils";

const MODEL = {
  type: "GRIDS",
  x: 0,
  y: 0,
  w: 300,
  h: 130,
  sign: "",
  columnSize: 43,
  columnCount: 16,
  rowCount: 3,
  rowSpace: 0,
  halving: true,
  style: "solid",
};

const getModel = () => {
  return {
    id: getElementId(),
    key: randomCode(),
    ...MODEL,
  };
};

export { MODEL, getModel };
